//
//  ViewController.m
//  DatePick
//
//  Created by Wangguibin on 16/9/15.
//  Copyright © 2016年 王贵彬. All rights reserved.
//

#import "ViewController.h"
#import "WGBDatePickerView.h"


@interface ViewController ()<WGBDatePickerViewDelegate>

@property (nonatomic,strong) WGBDatePickerView *datePickView;

@property (weak, nonatomic) IBOutlet UIButton *selectTimeButton;

@end

@implementation ViewController


- (WGBDatePickerView *)datePickView{
    if (!_datePickView) {
        _datePickView =[[WGBDatePickerView alloc] initWithFrame:self.view.bounds type:UIDatePickerModeDateAndTime];
        _datePickView.delegate = self;
        _datePickView.title =@"自定义的时间选择器";
        //设置从当前开始  之前的时间不可选择
        _datePickView.optionalMinDate=[NSDate date];
    }
    return _datePickView;
}


- (void)viewDidLoad {
    [super viewDidLoad];
    
    __weak typeof(self) weakSelf = self;
    self.datePickView.determineBlock =^(NSDate *date){
        [weakSelf.selectTimeButton setTitle:[weakSelf.datePickView stringFromDate:date] forState:UIControlStateNormal];
    };

    self.datePickView.changeTimeBlock =^(NSDate *date){
        NSLog(@"Block监听改变时间为---%@",[weakSelf.datePickView stringFromDate:date]);
    };
}

//选择时间
- (IBAction)selectTimeAction:(UIButton *)sender {
    [self.datePickView show];
}

#pragma mark- <WGBDatePickerViewDelegate>
//当时间改变时触发
- (void)changeTime:(NSDate *)date{
    NSLog(@"代理监听更改时间为---%@",[self.datePickView stringFromDate:date]);
}

//确定时间
- (void)determine:(NSDate *)date{
    [self.selectTimeButton setTitle:[self.datePickView stringFromDate:date] forState:UIControlStateNormal];
}

@end
